Create Market In Multivariate Event Collection
curl --request POST \
--url https://external-api.kalshi.com/trade-api/v2/multivariate_event_collections/{collection_ticker} \
--header 'Content-Type: application/json' \
--header 'KALSHI-ACCESS-KEY: <api-key>' \
--header 'KALSHI-ACCESS-SIGNATURE: <api-key>' \
--header 'KALSHI-ACCESS-TIMESTAMP: <api-key>' \
--data '
{
"selected_markets": [
{
"market_ticker": "<string>",
"event_ticker": "<string>"
}
],
"with_market_payload": true
}
'import requests
url = "https://external-api.kalshi.com/trade-api/v2/multivariate_event_collections/{collection_ticker}"
payload = {
"selected_markets": [
{
"market_ticker": "<string>",
"event_ticker": "<string>"
}
],
"with_market_payload": True
}
headers = {
"KALSHI-ACCESS-KEY": "<api-key>",
"KALSHI-ACCESS-SIGNATURE": "<api-key>",
"KALSHI-ACCESS-TIMESTAMP": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'KALSHI-ACCESS-KEY': '<api-key>',
'KALSHI-ACCESS-SIGNATURE': '<api-key>',
'KALSHI-ACCESS-TIMESTAMP': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
selected_markets: [{market_ticker: '<string>', event_ticker: '<string>'}],
with_market_payload: true
})
};
fetch('https://external-api.kalshi.com/trade-api/v2/multivariate_event_collections/{collection_ticker}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event_ticker": "<string>",
"market_ticker": "<string>",
"market": {
"ticker": "<string>",
"event_ticker": "<string>",
"yes_sub_title": "<string>",
"no_sub_title": "<string>",
"created_time": "2023-11-07T05:31:56Z",
"updated_time": "2023-11-07T05:31:56Z",
"open_time": "2023-11-07T05:31:56Z",
"close_time": "2023-11-07T05:31:56Z",
"latest_expiration_time": "2023-11-07T05:31:56Z",
"settlement_timer_seconds": 123,
"yes_bid_dollars": "0.5600",
"yes_bid_size_fp": "10.00",
"yes_ask_dollars": "0.5600",
"yes_ask_size_fp": "10.00",
"no_bid_dollars": "0.5600",
"no_ask_dollars": "0.5600",
"last_price_dollars": "0.5600",
"volume_fp": "10.00",
"volume_24h_fp": "10.00",
"can_close_early": true,
"open_interest_fp": "10.00",
"notional_value_dollars": "0.5600",
"previous_yes_bid_dollars": "0.5600",
"previous_yes_ask_dollars": "0.5600",
"previous_price_dollars": "0.5600",
"expiration_value": "<string>",
"rules_primary": "<string>",
"rules_secondary": "<string>",
"price_level_structure": "<string>",
"price_ranges": [
{
"start": "<string>",
"end": "<string>",
"step": "<string>"
}
],
"title": "<string>",
"subtitle": "<string>",
"expected_expiration_time": "2023-11-07T05:31:56Z",
"expiration_time": "2023-11-07T05:31:56Z",
"liquidity_dollars": "0.5600",
"settlement_value_dollars": "0.5600",
"settlement_ts": "2023-11-07T05:31:56Z",
"occurrence_datetime": "2023-11-07T05:31:56Z",
"fee_waiver_expiration_time": "2023-11-07T05:31:56Z",
"early_close_condition": "<string>",
"floor_strike": 123,
"cap_strike": 123,
"functional_strike": "<string>",
"custom_strike": {},
"mve_collection_ticker": "<string>",
"mve_selected_legs": [
{
"event_ticker": "<string>",
"market_ticker": "<string>",
"side": "<string>",
"yes_settlement_value_dollars": "0.5600"
}
],
"primary_participant_key": "<string>",
"is_provisional": true,
"exchange_index": 0
}
}{
"code": "<string>",
"message": "<string>",
"details": "<string>",
"service": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>",
"service": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>",
"service": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>",
"service": "<string>"
}multivariate
Create Market In Multivariate Event Collection
Endpoint for creating an individual market in a multivariate event collection. This endpoint must be hit at least once before trading or looking up a market. Users are limited to 5000 creations per week.
POST
/
multivariate_event_collections
/
{collection_ticker}
Create Market In Multivariate Event Collection
Authorizations
Your API key ID
RSA-PSS signature of the request
Request timestamp in milliseconds
Path Parameters
Collection ticker
Body
application/json
⌘I